# dipy_reslice

## Synopsis

Reslice data with new voxel resolution defined by `new_vox_sz`

## Usage

    dipy_reslice [OPTIONS] input_files new_vox_size

## Input Parameters

- `input_files`

  Path to the input volumes. This path may contain wildcards to process multiple inputs at once.

- `new_vox_size`

  new voxel size.

## General Options

- `--order`

  order of interpolation, from 0 to 5, for resampling/reslicing, 0 nearest interpolation, 1 trilinear etc.. if you don’t want any smoothing 0 is the option you need. (default: 1)

- `--mode`

  Points outside the boundaries of the input are filled according to the given mode ‘constant’, ‘nearest’, ‘reflect’ or ‘wrap’. (default: constant)

- `--cval`

  Value used for points outside the boundaries of the input if mode=’constant’. (default: 0)

- `--num_processes`

  Split the calculation to a pool of children processes. This only applies to 4D data arrays. Default is 1. If < 0 the maximal number of cores minus `num_processes + 1` is used (enter -1 to use as many cores as possible). 0 raises an error. (default: 1)

## Output Options

- `--out_dir`

  Output directory. (default: current directory)

- `--out_resliced`

  Name of the resliced dataset to be saved. (default: resliced.nii.gz)

## References

Garyfallidis, E., M. Brett, B. Amirbekian, A. Rokem, S. Van Der Walt, M. Descoteaux, and I. Nimmo-Smith. Dipy, a library for the analysis of diffusion MRI data. Frontiers in Neuroinformatics, 1-18, 2014.